package com.its.op.dao.mapper.its.vds;

import com.its.op.dto.its.vds.VdsDtctTfvlDayDto;
import com.its.op.dto.its.vds.VdsDtctTfvlHourDto;
import com.its.op.dto.its.vds.VdsDtctTfvlMonthDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface VdsDtctTfvlStatMapper {

    List<VdsDtctTfvlHourDto> findAllHourStatByDateRange(Map<String, String> param);
    List<VdsDtctTfvlDayDto> findAllDayStatByDateRange(Map<String, String> param);
    List<VdsDtctTfvlMonthDto> findAllMonthStatByDateRange( Map<String, String> param);

}
